<template>
  <div id=" ">
    <div id="accordion" class="msb">
      <nav class="navbar navbar-default" role="navigation">
        <div class="navbar-header">
          <div class="brand-wrapper">
            <div class="brand-name-wrapper">
              <a
                data-toggle="collapse"
                data-target="#collapseOne"
                :aria-expanded="isMenuExpanded('home')"
                aria-controls="collapseOne"
              >
                <img src="/images/logo.svg" />
              </a>
            </div>
          </div>
        </div>
      </nav>
      <div class="side-menu-container">
        <ul class="nav navbar-nav">
          <li
            v-for="(data, index) in headerData"
            :id="data.liId"
            :key="index"
            class="panel panel-default"
          >
            <a
              data-toggle="collapse"
              :data-target="data.dataTarget"
              :aria-expanded="isMenuExpanded(data.isExpanded)"
              :aria-controls="data.id"
            >
              <div class="nav-title-row">
                <div class="nav-title">
                  <img class="my-icon" :src="data.icon" alt="" />{{
                    data.title
                  }}
                </div>
                <div><i class="fa fa-chevron-down arrow-icon" /></div>
              </div>
            </a>
            <div
              :id="data.id"
              :class="{ show: isMenuExpanded(data.isExpanded) }"
              class="collapse descContainer panel-collapse"
              :aria-labelledby="data.liId"
              data-parent="#accordion"
            >
              <div class="panel-body">
                <ul class="nav navbar-nav">
                  <li v-for="(subData, index) in data.subTitle" :key="index">
                    <router-link :to="subData.route">
                      {{ subData.title }}
                    </router-link>
                  </li>
                </ul>
              </div>
            </div>
          </li>
        </ul>
      </div>
      <div class="nav-profile">
        <AddReview v-if="$store.state.review.showAddReview" ref="review" class="add_review" source="аpp_menu" title="How would you rate our app so far?" @submit="sendReview($event)" @close="showAddReview = false"/>
        <ul class="nav navbar-nav bottom-nav">
          <li class="panel panel-default">
            <router-link v-if="!isShopify" to="/pricing">
              <div class="nav-title-row-profile">
                <div class="nav-title">
                  <img src="/images/pricing.svg" alt="" class="icon">
                  Pricing
                </div>
              </div>
            </router-link>
            <a v-else href="https://carti.io/pricing" target="_blank">
              <div class="nav-title-row-profile">
                <div class="nav-title">
                  <img src="/images/pricing.svg" alt="" class="icon">
                  Pricing
                </div>
              </div>
            </a>
          </li>
          <li class="panel panel-default settings">
           <router-link to="/settings">
             <div class="nav-title-row-profile">
               <div class="nav-title">
                  <img src="/images/settings.svg" class="icon" alt="">
                 General Settings
               </div>
             </div>
           </router-link>
         </li>
          <li class="panel panel-default">
            <a @click="logOut">
              <div class="nav-title-row-profile">
                <div class="nav-title">
                  <i class="fa fa-user-circle-o profile-icon" />Log Out
                </div>
              </div>
            </a>
          </li>
        </ul>
      </div>
    </div>
  </div>
</template>

<script>
import AddReview from '@/components/review-collector/AddReview'
import {review} from '@/mixins/review'

export default {
  name: "Header",
  components: {
    AddReview
  },
  mixins: [review],
  data() {
    return {
      active: "",
      isShopify: false,
      headerData: [
        {
          icon: "/images/dashboard.svg",
          title: "Home",
          subTitle: [
            {
              title: "Dashboard",
              route: "/dashboard",
            },
            {
              title: "Subscribers",
              route: "/subscribers",
            },
          ],
          dataTarget: "#collapseOne",
          liId: "headingOne",
          id: "collapseOne",
          isExpanded: "home",
        },
        {
          icon: "/images/mail.svg",
          title: "Email",
          subTitle: [
            {
              title: "Abandoned Carts",
              route: "/email/abandoned-carts",
            },
            {
              title: "Campaigns",
              route: "/email/campaigns",
            },
            {
              title: "Browse Abandonment",
              route: "/email/browse-abandonment",
            },
          ],
          dataTarget: "#collapseTwo",
          liId: "headingTwo",
          id: "collapseTwo",
          isExpanded: "email",
        },
        {
          icon: "/images/app-push.svg",
          title: "Push",
          subTitle: [
            {
              title: "Welcome Message",
              route: "/push/growth/welcome-push",
            },
            {
              title: "Abandoned Carts",
              route: "/push/abandoned-carts",
            },
            {
              title: "Campaigns",
              route: "/push/campaigns",
            },
          ],
          dataTarget: "#collapseFive",
          liId: "headingFive",
          id: "collapseFive",
          isExpanded: "push",
        },
        {
          icon: "/images/app-sms.svg",
          title: "SMS",
          subTitle: [
            {
              title: "Abandoned Carts",
              route: "/sms/abandoned-carts",
            },
            {
              title: "Campaigns",
              route: "/sms/campaigns",
            },
          /*  {
              title: "Countries",
              route: "/sms/countries",
            },*/
          ],
          dataTarget: "#collapseThree",
          liId: "headingThree",
          id: "collapseThree",
          isExpanded: "sms",
        },
        {
          icon: "/images/growth-tools-icon.svg",
          title: "Ultimate Growth Tool",
          subTitle: [
            {
              title: "Growth Tools",
              route: "/growth-tools",
            },
          ],
          dataTarget: "#collapseFour",
          liId: "headingFour",
          id: "collapseFour",
          isExpanded: "growthTools",
        },
        // {
        //     icon: '/images/dashboard.svg',
        //     title: 'Settings',

        //     dataTarget: '#collapseOne',
        //     liId: 'headingOne',
        //     id: 'collapseOne',
        //     // isExpanded: 'home'
        // },
      ],
      route_lists: {
        home: ["dashboard", "subscribers"],
        email: [
          "email-abandoned-carts",
          "email-campaigns",
          "email-browse-abandonment",
          "email-browse-abandonment-edit",
          "email-abandoned-carts-reminders",
          "email-campaigns-add",
        ],
        sms: [
          "sms-abandoned-carts",
          "sms-abandoned-carts-reminders",
        //  "sms-countries",
        ],
        push: [
          "push-growth",
          "push-popup",
          "welcome-popup",
          "push-abandoned-cards",
          "push-abandoned-cards-edit",
          "push-campaigns",
        ],
        growthTools: ["growth-tools"],
      },
    };
  },
  created() {
    this.active = this.$route.name;
    if (
      $cookies.get("platform") === "shopify" ||
      $cookies.get("platform") === "shopifyDev"
    ) {
      this.isShopify = true;
      this.headerData = [
        {
          icon: "/images/dashboard.svg",
          title: "Home",
          subTitle: [
            {
              title: "Dashboard",
              route: "/dashboard",
            },
            {
              title: "Subscribers",
              route: "/subscribers",
            },
          ],
          dataTarget: "#collapseOne",
          liId: "headingOne",
          id: "collapseOne",
          isExpanded: "home",
        },
        {
          icon: "/images/mail.svg",
          title: "Email",
          subTitle: [
            {
              title: "Abandoned Carts",
              route: "/email/abandoned-carts",
            },
            {
              title: "Campaigns",
              route: "/email/campaigns",
            },
            {
              title: "Browse Abandonment",
              route: "/email/browse-abandonment",
            },
          ],
          dataTarget: "#collapseTwo",
          liId: "headingTwo",
          id: "collapseTwo",
          isExpanded: "email",
        },
        {
          icon: "/images/app-push.svg",
          title: "Push",
          subTitle: [
            {
              title: "Welcome Message",
              route: "/push/growth/welcome-push",
            },
            {
              title: "Abandoned Carts",
              route: "/push/abandoned-carts",
            },
            {
              title: "Campaigns",
              route: "/push/campaigns",
            },
          ],
          dataTarget: "#collapseFive",
          liId: "headingFive",
          id: "collapseFive",
          isExpanded: "push",
        },
        {
          icon: "/images/app-sms.svg",
          title: "SMS",
          subTitle: [
            {
              title: "Abandoned Carts",
              route: "/sms/abandoned-carts",
            },
            {
              title: "Campaigns",
              route: "/sms/campaigns",
            },
            /*{
              title: "Countries",
              route: "/sms/countries",
            },*/
          ],
          dataTarget: "#collapseThree",
          liId: "headingThree",
          id: "collapseThree",
          isExpanded: "sms",
        },
        {
          icon: "/images/growth-tools-icon.svg",
          title: "Ultimate Growth Tool",
          subTitle: [
            {
              title: "Growth Tools",
              route: "/growth-tools",
            },
          ],
          dataTarget: "#collapseFour",
          liId: "headingFour",
          id: "collapseFour",
          isExpanded: "growthTools",
        },
      ];
    }
  },
  mounted() {},
  watcher: {
    currentRoute: {
      get() {
        this.active = this.$route.name;
      },
    },
  },
  methods: {
    ifRouter: function (route) {
      return this.active === route;
    },
    isMenuExpanded(menu_name) {
      return this.route_lists[menu_name].includes(this.active);
    },
    logOut() {
      $cookies.remove("userToken");
      $cookies.remove("platform");
      this.$session.remove("shop");
      this.$router.push("/login");
    },
  },
};
</script>
<style scoped lang="scss">
@import "../../../css/colors";
.add_review {
  width: 226px;
  margin: 0 auto 15px;
}
.brand-name-wrapper {
  cursor: pointer;
}

.side-menu-container {
  .active {
    position: relative;

    &:before {
      position: absolute;
      right: 0;
      top: 9px;
      content: "";
      border: 8px solid transparent;
      border-right-color: #f5f6fa;
      width: 1px;
    }
  }
}

.nav-profile {
  position: absolute;
  bottom: 20px;
  width: 100%;

  .my-icon-invisible {
    color: transparent;
    margin-right: 20px;
  }

  .profile-icon {
    font-size: 20px;
    margin-right: 12px;
  }

  li {
    display: block;
    margin-left: 30px;

    a {
      cursor: pointer;
      padding: 15px 10px 0 25px;
      color: white;
      font-size: 14px;
      font-weight: 400;
      display: flex;
      width: 100%;

      &:hover {
        color: #9bc0ff;
      }
    }
  }
}

.navbar-default {
  background-color: #fff;
  margin-left: 200px;
}

.nav-title-row {
  display: flex;
  align-items: center;
  margin-bottom: 7px;
  margin-top: 7px;
  width: 100%;
  justify-content: space-between;
}

.side-menu-container a[aria-expanded="true"] {
  background: rgba(3, 24, 59, 0.1);
  border-left: 2px solid white;
}

.side-menu-container a[aria-expanded="true"] + .panel-collapse .panel-body {
  background: linear-gradient(rgba(3, 24, 59, 0.1), rgba(3, 24, 59, 0.04));
  padding-bottom: 10px;
  border-left: 2px solid white;
}

.side-menu-container a[aria-expanded="true"] .arrow-icon {
  transform: rotate(-180deg);
  transition: transform 0.2s linear;
}

.side-menu-container a[aria-expanded="false"] .arrow-icon {
  transition: transform 0.2s linear;
}

.my-icon {
  margin-right: 12px;
  width: 16px;
}

.msb {
  width: 250px;
  position: fixed;
  left: 0;
  top: 0;
  right: auto;
  min-height: 100%;
  overflow-y: auto;
  white-space: nowrap;
  height: 100%;
  z-index: 1;
  background: linear-gradient(to bottom, #4786ff 0%, #6ba2ff 100%);

  .side-menu-container {
    width: 100%;
    font-size: 14px;
    font-weight: 400;
  }

  .navbar {
    border: none;
    margin-left: 0;
    background-color: inherit;
    padding: 0;
  }

  .navbar-header {
    width: 100%;
    padding: 5px 0 10px 15px;
  }

  .navbar-nav {
    .panel {
      cursor: pointer;
      border: 0 none;
      box-shadow: none;
      margin: 0;
      background: inherit;
    }

    li {
      display: block;
      margin-left: 30px;

      a {
        padding: 8px 20px 0 25px;
        color: white;
        display: flex;
        width: 100%;

        &:hover {
          color: #9bc0ff;
        }

        .glyphicon,
        .fa {
          margin-right: 8px;
        }
      }
    }
  }

  .nb {
    padding-top: 5px;
    padding-left: 10px;
    margin-bottom: 30px;
    overflow: hidden;
  }
}

ul.nv,
ul.ns {
  position: relative;
  padding: 0;
  list-style: none;
}

.nv {
  li {
    display: block;
    position: relative;

    &::before {
      clear: both;
      content: "";
      display: table;
    }

    a {
      color: #444;
      padding: 10px 25px;
      display: block;
      vertical-align: middle;

      .ic {
        font-size: 16px;
        margin-right: 5px;
        font-weight: 300;
        display: inline-block;
      }
    }
  }

  .ns {
    li {
      a {
        padding: 10px 50px;
      }
    }
  }
}

a,
a:focus,
a:hover {
  text-decoration: none;
}

.icon {
  width: 20px;
  height: 20px;
  margin-right: 12px;
}
.nav-title {
  display: flex;
  align-items: center;
}
.msb .bottom-nav.navbar-nav li a {
  padding-top: 12px;
}
</style>
